# bett.py

from grafikfenster import *
from math import radians
from moebel import Moebel

### ---------------------------------------------------
class Bett(Moebel):
    """Klasse Bett
    ermoeglicht das Zeichnen und Bearbeiten eines
    Bett-Symbols fuer den Raumplaner"""
    
    def __init__(self,
                 xPos=390,
                 yPos=10,
                 breite=200,
                 tiefe=200,
                 winkel=0,
                 farbe="BROWN",
                 fuellfarbe="CORAL",
                 sichtbar=True):
        """Konstruktor mit vordefinierten Parametern
        Konstruktor der Oberklasse aufrufen!"""
        Moebel.__init__(self, xPos, yPos, breite, tiefe, winkel, farbe, fuellfarbe, sichtbar)
        
    def GibFiguren(self):
        """Definiert das zu zeichnende Figurentupel"""
        path1 = self.GibZeichenPfad()
        path2 = self.GibZeichenPfad()
        path3 = self.GibZeichenPfad()
        path4 = self.GibZeichenPfad()

        # lokale Variable zur Schreibvereinfachung
        b, t = self.GibBreite(), self.GibTiefe()
        path1.AddRectangle(0, 0, b, t)
        # Das Bett bekommt noch die inneren Striche.
        path2.MoveToPoint(0, 0)
        path2.AddLineToPoint(b/2, t)
        path3.MoveToPoint(b/2, 0)
        path3.AddLineToPoint(b/2, t)
        path4.MoveToPoint(b, 0)
        path4.AddLineToPoint(b/2, t)

        paths=(self.Transformiere(path1),
               self.Transformiere(path2),
               self.Transformiere(path3),
               self.Transformiere(path4))
        return paths


### ---------------------------------------------------
class BettApp(wx.App):
    """Test-Anwendung speziell fuer Bett"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global bett
        bett=Bett(10, 140, winkel=90, farbe="green", sichtbar=True)
        
### ---------------------------------------------------
if __name__ == '__main__':
    app = BettApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
